Package org.oasis_open.docs.ws_calendar.ns.soap

# Class IntegerPropertyType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.GetPropertiesBasePropertyType
org.oasis_open.docs.ws_calendar.ns.soap.IntegerPropertyType

Direct Known Subclasses:
  `MaxAttendeesPerInstanceType`, `MaxInstancesType`, `MaxResourceSizeType`

public class IntegerPropertyType extends GetPropertiesBasePropertyType
Base type for integer properties returned in GetPropertiesResponse.

Java class for IntegerPropertyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="IntegerPropertyType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}GetPropertiesBasePropertyType">
           <sequence>
             <element name="integer" type="{http://www.w3.org/2001/XMLSchema}integer"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected BigInteger`
  `integer`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntegerPropertyType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigInteger`
  `getInteger()`
  Gets the value of the integer property.
  `void`
  `setInteger(BigInteger value)`
  Sets the value of the integer property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### integer

    protected BigInteger integer

- ## Constructor Details

  - ### IntegerPropertyType

    public IntegerPropertyType()

- ## Method Details

  - ### getInteger

    public BigInteger getInteger()
    Gets the value of the integer property.
    Returns:
      possible object is `BigInteger`

  - ### setInteger

    public void setInteger(BigInteger value)
    Sets the value of the integer property.
    Parameters:
      `value` - allowed object is `BigInteger`